GNU Radio C++ API Reference: PlotTimeRaster Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
PlotTimeRaster Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

A plot item, which displays a time raster. More...

`#include <gnuradio/qtgui/plot_raster.h>`

## Public Member Functions
| PlotTimeRaster (const QString &title=QString())
| ~PlotTimeRaster () override
const TimeRasterData * | data () const
void | setData (TimeRasterData *data)
void | setColorMap (const QwtColorMap *map)
const QwtColorMap & | colorMap () const
QwtInterval | interval (Qt::Axis ax) const override
int | rtti () const override

## Protected Member Functions
QImage | renderImage (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &rect, const QSize &size=QSize(0, 0)) const override

## Detailed Description

A plot item, which displays a time raster.

A time raster displays three-dimensional data, where the 3rd dimension (the intensity) is displayed using colors. The colors are calculated from the values using a color map.

See also
  QwtRasterData, QwtColorMap

## Constructor & Destructor Documentation

## ◆ PlotTimeRaster()

PlotTimeRaster::PlotTimeRaster | ( | const QString & | title = QString() | ) |
| explicit

## ◆ ~PlotTimeRaster()

PlotTimeRaster::~PlotTimeRaster | ( |  | ) |
| override

## Member Function Documentation

## ◆ colorMap()

const QwtColorMap & PlotTimeRaster::colorMap | ( |  | ) | const

## ◆ data()

const TimeRasterData * PlotTimeRaster::data | ( |  | ) | const

Referenced by setData().

## ◆ interval()

QwtInterval PlotTimeRaster::interval | ( | Qt::Axis | ax | ) | const
| override

## ◆ renderImage()

QImage PlotTimeRaster::renderImage | ( | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRectF & | rect,
|  | const QSize & | size = QSize(0, 0) ) const
| overrideprotected

## ◆ rtti()

int PlotTimeRaster::rtti | ( |  | ) | const
| override

## ◆ setColorMap()

void PlotTimeRaster::setColorMap | ( | const QwtColorMap * | map | ) |

## ◆ setData()

void PlotTimeRaster::setData | ( | TimeRasterData * | data | ) |

References data().

The documentation for this class was generated from the following file:

- plot_raster.h